Skip to navigation

Update an existing HRIS Org Structure

Update an existing HRIS Org Structure including its name, settings, and teams hierarchy.

Token scopes: organizations:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_org_structure_idstringRequired
Org Structure

Request

This endpoint expects an object.
dataobjectOptional

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error